Subject: bug#19924: 24.4; incremental search for octal character

From: Drew Adams <[email-masked]>
Date: Fri, 6 Mar 2015 08:27:33 -0800 (PST)

> It means that we have a missing feature: we don't have any reasonable
> way of typing unibyte characters at Isearch's prompt.  We need to
> provide one.  There was such a kludgey feature in the past, but it
> conflicted with a much more useful possibility of inserting Unicode
> codepoints with C-q, and so the kludge was deleted in one of the
> previous versions.  We need to restore it, at least for when Isearch
> was initiated from a unibyte buffer.

Huh? AFAIK, since Emacs 24.4 you can use `C-x 8 RET' to append a
Unicode char to the search string.

I don't have a recent dev build (since Oct. 2014), but in 24.4 that
certainly works.  (Dunno about using a unibyte buffer, though, so
maybe I'm missing your point.  In `emacs -Q' (GUI, not terminal),
it works fine for me.

If you have the Unicode character in the kill ring then you can
also use `M-y'.  And you can also use `M-e' followed by `C-x 8 RET',
of course.